micro_utils.dokka
0.15.1

# Package-level declarations

## Types

EncodedBase64String
Link copied to clipboard
typealias EncodedBase64String = String
EncodedByteArray
Link copied to clipboard
typealias EncodedByteArray = ByteArray
MD5
Link copied to clipboard
typealias MD5 = String
SourceBytes
Link copied to clipboard
typealias SourceBytes = ByteArray

This typealias shows that corresponding ByteArray is an raw data

SourceString
Link copied to clipboard
typealias SourceString = String

This typealias shows that corresponding String is an raw data

## Functions

decodeBase64
Link copied to clipboard
fun EncodedByteArray.decodeBase64(): SourceBytes
fun EncodedBase64String.decodeBase64(): SourceBytes
decodeBase64String
Link copied to clipboard
fun EncodedByteArray.decodeBase64String(): SourceString
fun EncodedBase64String.decodeBase64String(): SourceString
encodeBase64
Link copied to clipboard
fun SourceBytes.encodeBase64(): EncodedByteArray
fun SourceString.encodeBase64(): EncodedByteArray
encodeBase64String
Link copied to clipboard
fun SourceBytes.encodeBase64String(): EncodedBase64String
fun SourceString.encodeBase64String(): EncodedBase64String
hex
Link copied to clipboard
fun SourceBytes.hex(): String
fun SourceString.hex(): String
md5
Link copied to clipboard
expect fun SourceBytes.md5(): MD5
fun SourceString.md5(): MD5

## Properties

HEX_ARRAY
Link copied to clipboard
val HEX_ARRAY: CharArray